/**
 * Project-HomeFlix
 *
 * Copyright 2016-2019  <@Seil0>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301, USA.
 * 
 */

package kellerkinder.HomeFlix.datatypes;

import com.jfoenix.controls.JFXButton;

import javafx.scene.control.Label;
import javafx.scene.image.ImageView;
import javafx.scene.layout.VBox;

public class PosterModeElement extends VBox{
	
	private String streamURL;
	private Label label = new Label();
	private JFXButton button = new JFXButton();
	private ImageView imageView = new ImageView();
	
	public PosterModeElement() {
		// constructor stub
	}
	
	public PosterModeElement(String streamURL, Label label, JFXButton button, ImageView imageView) {
		this.streamURL = streamURL;
		this.label = label;
		this.button = button;
		this.imageView = imageView;
	}
	
	public String getStreamURL() {
		return streamURL;
	}

	public Label getLabel() {
		return label;
	}

	public JFXButton getButton() {
		return button;
	}

	public ImageView getImageView() {
		return imageView;
	}

	public void setStreamURL(String streamURL) {
		this.streamURL = streamURL;
	}

	public void setLabel(Label label) {
		this.label = label;
	}

	public void setButton(JFXButton button) {
		this.button = button;
	}

	public void setImageView(ImageView imageView) {
		this.imageView = imageView;
	}

}
